Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Repo Help. 12.1 with KDE 4.7

  1. #1

    Default Repo Help. 12.1 with KDE 4.7

    Hi

    I've just done a fresh install to 12.1 from 11.4 and noticed than I was now using KDE 4.2 which was a downgrade for me.

    I added the KDS 4.7 Repo's...
    -Core
    -UpdatedApps
    -Extras


    and preformed a "zypper dup"

    This seemed to work fine and the about screen tells me I'm running 4.7.2.

    When I preform a "zypper up" I now get:

    The following package updates will NOT be installed:
    amarok digikam digikam-lang kipi-plugins libkface1 libkgeomap1 libkipi8
    Nothing to do.

    All system sounds work fine (system, browsers, etc.) but Amarok is completely mute. I have checked the volume settings in both Amarok and KMix and they are set fine.

    More worryingly when I open Yast2 it is still asking me to "Switch System Packages" for the three repo's I added. I thought "zypper dup" would have done this. If I agree to switch there are many conflicts which I don't want to touch.

    Obviously I have done something quite wrong here so any advice would be greatly appreciated. If you need any more info please ask.

    Thanks

    Mike

  2. #2

    Default Re: Repo Help. 12.1 with KDE 4.7

    Amarok is working now. Added the Pacman repo (does this contain mp3 codecs?). I'm quite new to this

    When preforming a "zypper up" I now get:

    The following package updates will NOT be installed:
    digikam digikam-lang gstreamer-0_10-plugins-base
    gstreamer-0_10-plugins-good kipi-plugins libkface1 libkgeomap1 libkipi8
    Nothing to do.


    Also still have the problem in Yast2 asking me to "Switch System Packages" for the three Repo's I added, which is a worry as there are still many conflicts and I thought "zypper dup" would switch them.

    Thanks again

    Mike

  3. #3
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Repo Help. 12.1 with KDE 4.7

    On 12/29/2011 07:26 PM, baynham wrote:
    >
    > I've just done a fresh install to 12.1 from 11.4


    please show us the terminal input/output from

    Code:
    zypper lr -d
    copy/paste the in/output back to this thread using the instructions
    here: http://goo.gl/i3wnr

    and explain what you did to do a "fresh install to 12.1 from 11.4"

    i mean, i know how to install 12.1, and i know how to upgrade from 11.4
    to 12.1, but i'm not sure about a fresh install from one to the
    other....and, i'm thinking what/how you did may be the source of these
    mysteries like having KDE4.2 installed rather than the 4.6 of 11.4 or
    4.7 of 12.1--those thing don't 'just happen'..

    --
    DD
    openSUSE®, the "German Engineered Automobiles" of operating systems!

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Repo Help. 12.1 with KDE 4.7

    openSUSE 12.1 kde is kde4.7.2

    The correct and safe kde repo for you is
    Index of /repositories/KDE:/Release:/47/openSUSE_12.1

    You should use the switch on it
    http://dl.dropbox.com/u/10573557/Swi...e47_switch.png

    Then use the switch on Packman
    http://dl.dropbox.com/u/10573557/Swi...man_switch.png

    (Ignore that the images are a little old, it's the principle I'm showing you)
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Repo Help. 12.1 with KDE 4.7

    When preforming a "zypper up" I now get:

    The following package updates will NOT be installed:
    digikam digikam-lang gstreamer-0_10-plugins-base
    gstreamer-0_10-plugins-good kipi-plugins libkface1 libkgeomap1 libkipi8
    Nothing to do.
    This is normal
    Especially if you have used the package switcher.

    Once you have switched to your repos, you should perform updates like this
    http://dl.dropbox.com/u/10573557/Sof...tem_update.png

    Don't use Apper or Online Updates
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6

    Default Re: Repo Help. 12.1 with KDE 4.7

    Sorry, meant a clean install. Everything was wiped.
    Code:
    zypper lr -d
    #  | Alias                              | Name                               | Enabled | Refresh | Priority | Type   | URI                                                                          | Service
    ---+------------------------------------+------------------------------------+---------+---------+----------+--------+------------------------------------------------------------------------------+--------
     1 | ATI/AMD-FGLRX                      | ATI/AMD-FGLRX                      | Yes     | Yes     |   99     | rpm-md | http://geeko.ioda.net/mirror/ati/openSUSE_12.1/                              |        
     2 | KDE4.7UpdatedApps                  | KDE4.7UpdatedApps                  | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/UpdatedApps/openSUSE_11.4/    |        
     3 | KDS4.7Core                         | KDS4.7Core                         | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Distro:/Stable/openSUSE_12.1/ |        
     4 | KDS4.7Extra                        | KDS4.7Extra                        | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_11.4           |        
     5 | Updates-for-openSUSE-12.1-12.1-1.4 | Updates for openSUSE 12.1 12.1-1.4 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/12.1/                                    |        
     6 | openSUSE-12.1-12.1-1.4             | openSUSE-12.1-12.1-1.4             | Yes     | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-ATAPI_iHAS422_8,/dev/sr0                  |        
     7 | packman.inode.at-suse              | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://packman.inode.at/suse/12.1/                                           |        
     8 | repo-debug                         | openSUSE-12.1-Debug                | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/12.1/repo/oss/               |        
     9 | repo-debug-update                  | openSUSE-12.1-Update-Debug         | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/12.1/                              |        
    10 | repo-non-oss                       | openSUSE-12.1-Non-Oss              | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/12.1/repo/non-oss/                 |        
    11 | repo-oss                           | openSUSE-12.1-Oss                  | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/12.1/repo/oss/                     |        
    12 | repo-source                        | openSUSE-12.1-Source               | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/12.1/repo/oss/              |
    Thanks again

  7. #7
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Repo Help. 12.1 with KDE 4.7

    OK
    You have a mess

    Wait for my instructions
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  8. #8

    Default Re: Repo Help. 12.1 with KDE 4.7

    Don't know how the 11.4 repo's got in there, stupid me.

    Thanks...appreciate it!

  9. #9
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Repo Help. 12.1 with KDE 4.7

    Open a terminal and become su -
    (this is how you become su - ) su term.mpeg - YouTube

    Now use your mouse to copy and paste the following

    Code:
    zypper rr 4
    Code:
    zypper rr 2
    The above will remove repo 4 and 2
    Because they are for openSUSE 11.4 !

    Now tell me. Do you want the latest updates to kde4.7?
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  10. #10

    Default Re: Repo Help. 12.1 with KDE 4.7

    Thanks for that. Two Repository's removed...

    Repository 'KDE4.7UpdatedApps' has been removed.
    Repository 'KDS4.7Extra' has been removed.

    Yes, would prefer to be on 4.7. In says I'm on 4.7.2 now but with 11.4 I'm sure I was on 4.7.4.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •